# [Adapty](https://adapty.io?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter) Flutter SDK — in-app purchases start here

[![License](https://img.shields.io/badge/license-MIT-brightgreen.svg)](https://github.com/adaptyteam/AdaptySDK-Flutter/blob/master/LICENSE)

![Adapty: CRM for mobile apps with subscriptions](adapty-schema.png)

Adapty SDK is an open-source framework that makes implementing in-app subscriptions in Flutter fast and easy. It’s 100% open-source, native and lightweight.

## Install SDK to grow subscriptions:

- [Price testing for paywalls on the fly](https://docs.adapty.io/docs/ab-test?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter)
Test different prices, durations, offers, messages, and designs simultaneously, all without new app releases.
- [Win back subscribers](https://docs.adapty.io/docs/promo-campaigns?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter)
Return churned subscribers with promotional trigger-based push notifications.
- [Get your customer's payment history](https://docs.adapty.io/docs/profiles-crm?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter)
Explore user's payment events from starting the trial to subscription cancellation or billing issues.
- [Forward in-app purchases events](https://docs.adapty.io/docs/events?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter)
Send subscription events to 3rd party analytics, attribution, and ad services with no coding. Even if a user uninstalled an app.
- [Implement in-app purchases with no server code](https://docs.adapty.io/docs/flutter-sdk-configuration?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter)
In-app purchases with server-side receipt validation in minutes. Apple Promotional Offers supported out-of-the-box.
- [Analytics](https://docs.adapty.io/docs/analytics-charts?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter)
Start analyzing real-time metrics of your app with advanced filters, such as ad network, ad campaign, country, A/B test, etc.
- 24/7 support

## Getting Started

Please refer to our [documentation](https://docs.adapty.io/docs/flutter-sdk-installation?utm_source=github&utm_medium=content&utm_campaign=AdaptySDK-Flutter) to install and configure Adapty SDK. Set up purchases in hours instead of weeks :rocket:

## License

Adapty is available under the MIT license. [See LICENSE](https://github.com/adaptyteam/AdaptySDK-Flutter/blob/master/LICENSE) for details.

---

## Found a bug?

Feel free to open an issue. We check all of them.

## Want to reach us?

Drop us an email at support@adapty.io and tell us everything you want.

## Want to suggest a feature?

Just contact us or open an issue in a repo.

## Promo

Like Adapty SDK? ❤️

We too, feel free to star a repo ⭐️⭐️⭐️ and make our developers happy.
